update some scripts
authorThorsten Glaser <tg@mirbsd.org>
Wed, 9 May 2012 09:08:57 +0000 (11:08 +0200)
committerThorsten Glaser <tg@mirbsd.org>
Wed, 9 May 2012 09:08:57 +0000 (11:08 +0200)
bash-ksh/generate-pgpkey-for-at-work
mksh/sysadmin/agus
mksh/sysadmin/agus.1
mksh/sysadmin/mvndebri.sh
posix/pbuilder-hooks/C80shell-joe [moved from posix/pbuilder-hooks/C99fu with 63% similarity]
posix/pbuilder-hooks/C80shell-jupp [new file with mode: 0644]
posix/pbuilder-hooks/D02debhelper
posix/pbuilder-hooks/D05agu
posix/pbuilder-hooks/D06agdu
posix/pbuilder-hooks/D10wtfrepo [new file with mode: 0644]

index 297dedb..904bcf8 100644 (file)
@@ -1,7 +1,7 @@
 #!/bin/sh
 #!/bin/sh
-# $Id: genkey-firmengebrauch.sh 1932 2011-04-27 14:53:08Z tglase $
+# $Id: genkey-firmengebrauch.sh 2836 2012-03-22 09:51:20Z tglase $
 #-
 #-
-# Copyright © 2010, 2011
+# Copyright © 2010, 2011, 2012
 #      Thorsten Glaser <t.glaser@tarent.de>
 # All rights reserved.
 #
 #      Thorsten Glaser <t.glaser@tarent.de>
 # All rights reserved.
 #
@@ -263,8 +263,8 @@ EOF
 
 # show introduction
 echo "
 
 # show introduction
 echo "
-tarent GmbH - PGP Key Generation
-================================
+tarent solutions GmbH - PGP Key Generation
+==========================================
 
 [de] Ein PGP-Schlüsselpaar wird jetzt erstellt und der öffentliche Teil
      an den tarent-Server übertragen, sodaß die Admins diesen signieren
 
 [de] Ein PGP-Schlüsselpaar wird jetzt erstellt und der öffentliche Teil
      an den tarent-Server übertragen, sodaß die Admins diesen signieren
@@ -297,8 +297,30 @@ password = $resp
 user = $un
 EOF
 
 user = $un
 EOF
 
+# create CA “bundle”
+cat >"$T/ca.cer" <<'EOF'
+-----BEGIN CERTIFICATE-----
+MIIC5zCCAlACAQEwDQYJKoZIhvcNAQEFBQAwgbsxJDAiBgNVBAcTG1ZhbGlDZXJ0
+IFZhbGlkYXRpb24gTmV0d29yazEXMBUGA1UEChMOVmFsaUNlcnQsIEluYy4xNTAz
+BgNVBAsTLFZhbGlDZXJ0IENsYXNzIDIgUG9saWN5IFZhbGlkYXRpb24gQXV0aG9y
+aXR5MSEwHwYDVQQDExhodHRwOi8vd3d3LnZhbGljZXJ0LmNvbS8xIDAeBgkqhkiG
+9w0BCQEWEWluZm9AdmFsaWNlcnQuY29tMB4XDTk5MDYyNjAwMTk1NFoXDTE5MDYy
+NjAwMTk1NFowgbsxJDAiBgNVBAcTG1ZhbGlDZXJ0IFZhbGlkYXRpb24gTmV0d29y
+azEXMBUGA1UEChMOVmFsaUNlcnQsIEluYy4xNTAzBgNVBAsTLFZhbGlDZXJ0IENs
+YXNzIDIgUG9saWN5IFZhbGlkYXRpb24gQXV0aG9yaXR5MSEwHwYDVQQDExhodHRw
+Oi8vd3d3LnZhbGljZXJ0LmNvbS8xIDAeBgkqhkiG9w0BCQEWEWluZm9AdmFsaWNl
+cnQuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDOOnHK5avIWZJV16vY
+dA757tn2VUdZZUcOBVXc65g2PFxTXdMwzzjsvUGJ7SVCCSRrCl6zfN1SLUzm1NZ9
+WlmpZdRJEy0kTRxQb7XBhVQ7/nHk01xC+YDgkRoKWzk2Z/M/VXwbP7RfZHM047QS
+v4dk+NoS/zcnwbNDu+97bi5p9wIDAQABMA0GCSqGSIb3DQEBBQUAA4GBADt/UG9v
+UJSZSWI4OB9L+KXIPqeCgfYrx+jFzug6EILLGACOTb2oWH+heQC1u+mNr0HZDzTu
+IYEZoDJJKPTEjlbVUjP9UNV+mWwD5MlM/Mtsq2azSiGM5bUMMj4QssxsodyamEwC
+W/POuZ6lcg5Ktz885hZo+L7tdEy8W9ViH0Pd
+-----END CERTIFICATE-----
+EOF
+
 # get user information from LDAP
 # get user information from LDAP
-x=$(wget -O "$T/ui" -S https://tarentpgp.tarent.de/ui.cgi 2>&1 | \
+x=$(wget -O "$T/ui" --ca-certificate="$T/ca.cer" -S https://tarentpgp.tarent.de/ui.cgi 2>&1 | \
     if md5sum --version >/dev/null 2>&1; then
        md5sum | sed 's/ .*$//'
 else
     if md5sum --version >/dev/null 2>&1; then
        md5sum | sed 's/ .*$//'
 else
@@ -313,13 +335,9 @@ if [[ ! -s ~/.gnupg/random_seed ]]; then
        chmod 0600 ~/.gnupg/random_seed
        dd if=/dev/urandom of=~/.gnupg/random_seed bs=600 count=1
 fi
        chmod 0600 ~/.gnupg/random_seed
        dd if=/dev/urandom of=~/.gnupg/random_seed bs=600 count=1
 fi
-entropy=$x\ $( (
-       wget -O - --no-check-certificate -T 10 \
-           https://spamfilter2.tarent.de/lb.cgi?genkey.sh,1=$(hostname -f),seed=$RANDOM$RANDOM$RANDOM$RANDOM$RANDOM
-       wget -O - -T 10 http://mirror.bonn.tarent.de/cgi-bin/rb.cgi
-       wget -O - --no-check-certificate -T 10 \
-           https://spamfilter2.tarent.de/lb.cgi?genkey.sh,2=$(hostname),seed=$RANDOM$RANDOM$RANDOM$RANDOM$RANDOM
-    ) 2>/dev/null | hexdump -ve '1/1 "16#%x "')
+entropy=$(wget -O - -T 10 --ca-certificate="$T/ca.cer" \
+    https://spamfilter3.tarent.de/lb.cgi?genkey.sh,1=$(hostname -f),seed=$RANDOM$RANDOM$RANDOM$RANDOM$RANDOM 2>/dev/null | \
+    hexdump -ve '1/1 "16#%x "')$x
 poolfile=$(hexdump -ve '1/1 "16#%x "' <~/.gnupg/random_seed)
 str2arr entropy
 str2arr poolfile
 poolfile=$(hexdump -ve '1/1 "16#%x "' <~/.gnupg/random_seed)
 str2arr entropy
 str2arr poolfile
@@ -444,7 +462,7 @@ echo "=> $?" >>"$T/edit.log"
 # XXX if the key has >1 UID, there must be an extra line
 #      y
 # after the line saying "tsign"!
 # XXX if the key has >1 UID, there must be an extra line
 #      y
 # after the line saying "tsign"!
-gpg --no-use-agent -q -u $pkid --command-fd 4 --edit-key $ckid \
+gpg --no-ask-cert-level --no-expert --no-use-agent -q -u $pkid --command-fd 4 --edit-key $ckid \
     >>"$T/edit.log" 2>&1 4<<-EOF
        tsign
        2
     >>"$T/edit.log" 2>&1 4<<-EOF
        tsign
        2
@@ -492,6 +510,7 @@ GNUPGHOME="$T/.gnupg" gpg --no-default-keyring --primary-keyring "$T/exp.kr" \
 wget -O "$T/upload" \
     --header="Content-type: application/octet-stream" \
     --post-file="$T/exp.kr" \
 wget -O "$T/upload" \
     --header="Content-type: application/octet-stream" \
     --post-file="$T/exp.kr" \
+    --ca-certificate="$T/ca.cer" \
     https://tarentpgp.tarent.de/fu.cgi >"$T/upload.log" 2>&1
 (echo "upload keyring {"; sed 's/^/[   /' <"$T/upload.log"; \
     sed 's/^/] /' <"$T/upload"; echo "}") >>"$log"
     https://tarentpgp.tarent.de/fu.cgi >"$T/upload.log" 2>&1
 (echo "upload keyring {"; sed 's/^/[   /' <"$T/upload.log"; \
     sed 's/^/] /' <"$T/upload"; echo "}") >>"$log"
index 02b96d8..9bbf423 100644 (file)
@@ -1,6 +1,6 @@
 #!/bin/mksh
 #!/bin/mksh
-# $MirOS: contrib/hosted/tg/deb/aguspeed.sh,v 1.2 2011/06/09 20:30:24 tg Exp $
-# $Id: agus 2082 2011-06-09 20:31:34Z tglase $
+# $MirOS: contrib/hosted/tg/deb/aguspeed.sh,v 1.3 2012/05/09 08:58:36 tg Exp $
+# $Id: agus 2924 2012-05-09 09:00:04Z tglase $
 #-
 # From Planet Debian. Not complicated enough for copyright.
 
 #-
 # From Planet Debian. Not complicated enough for copyright.
 
index c844406..9743d5a 100644 (file)
@@ -1,4 +1,4 @@
-.\" $Id: agus.1 1563 2010-11-12 16:27:24Z tglase $
+.\" $Id: agus.1 2923 2012-05-09 08:54:01Z tglase $
 .Dd May 7, 2012
 .Dt AGUS 1
 .Os
 .Dd May 7, 2012
 .Dt AGUS 1
 .Os
index 58a0fbf..1587b50 100644 (file)
@@ -1,6 +1,6 @@
 #!/bin/mksh
 rcsid='$MirOS: contrib/hosted/tg/deb/mkdebidx.sh,v 1.51 2011/05/13 20:53:29 tg Exp $'
 #!/bin/mksh
 rcsid='$MirOS: contrib/hosted/tg/deb/mkdebidx.sh,v 1.51 2011/05/13 20:53:29 tg Exp $'
-rcsid='$Id: mvndebri.sh 2503 2011-11-17 15:28:58Z tglase $'
+rcsid='$Id: mvndebri.sh 2534 2011-11-24 16:35:54Z tglase $'
 #-
 # Copyright (c) 2008, 2009, 2010, 2011
 #      Thorsten Glaser <tg@mirbsd.org>
 #-
 # Copyright (c) 2008, 2009, 2010, 2011
 #      Thorsten Glaser <tg@mirbsd.org>
@@ -30,19 +30,15 @@ jobname=$2
 
 hn=$(hostname)
 case $hn {
 
 hn=$(hostname)
 case $hn {
-(hudson.evolvis.org)
-       hn=evolvis-hudson
+(ci-evolvis?(.*))
+       hn=ci-evolvis
        repo_keyid=0x16B5D1B2
        ;;
        repo_keyid=0x16B5D1B2
        ;;
-(dev-hudson?(.*))
-       hn=dev-hudson
-       repo_keyid=0x199D2F3B
-       ;;
-(test-hudson?(.*))
-       hn=test-hudson
-       repo_keyid=0xDB58AF73
-       ;;
-# […]
+#[…]
+#(test-hudson?(.*))
+#      hn=test-hudson
+#      repo_keyid=0xDB58AF73
+#      ;;
 (tglase.bonn.tarent.de)
        hn=devel-testsystem
        repo_keyid=0x5EB8D3B3
 (tglase.bonn.tarent.de)
        hn=devel-testsystem
        repo_keyid=0x5EB8D3B3
@@ -53,11 +49,13 @@ case $hn {
        ;;
 }
 case $hn {
        ;;
 }
 case $hn {
-(evolvis-hudson)
+(test-hudson|devel-testsystem)
+       print -u2 moved
+       exit 1
        dhn=jenkins-debs.evolvis.org
        ;;
 (*)
        dhn=jenkins-debs.evolvis.org
        ;;
 (*)
-       dhn=${hn}-debs.bonn.tarent.de
+       dhn=${hn}-debs.lan.tarent.de
        ;;
 }
 repo_origin='tarent solutions GmbH'
        ;;
 }
 repo_origin='tarent solutions GmbH'
@@ -66,7 +64,7 @@ repo_title="tarent $hn $jobname automatic DEB Repository"
 function repo_description {
        typeset suite_nick=$1
 
 function repo_description {
        typeset suite_nick=$1
 
-       print -nr -- "tarent-$hn $jobname/$suite_nick autobuild repository"
+       print -nr -- "tarent $hn $jobname/$suite_nick autobuild repository"
 }
 
 
 }
 
 
@@ -338,7 +336,7 @@ done
 EOF
 print -r -- " <title>${repo_title} Index</title>"
 cat <<'EOF'
 EOF
 print -r -- " <title>${repo_title} Index</title>"
 cat <<'EOF'
- <meta name="generator" content="$Id: mvndebri.sh 2503 2011-11-17 15:28:58Z tglase $ based on $MirOS: contrib/hosted/tg/deb/mkdebidx.sh,v 1.51 2011/05/13 20:53:29 tg Exp $" />
+ <meta name="generator" content="Evolvis shellsnippets git based on $Id: mvndebri.sh 2534 2011-11-24 16:35:54Z tglase $ based on $MirOS: contrib/hosted/tg/deb/mkdebidx.sh,v 1.51 2011/05/13 20:53:29 tg Exp $" />
  <style type="text/css">
   table {
    border: 1px solid black;
  <style type="text/css">
   table {
    border: 1px solid black;
@@ -407,7 +405,7 @@ for suitename in $allsuites; do
                print -n " <a href=\"$suite/$distname/\">$distname</a>"
        done
        print ")<br />"
                print -n " <a href=\"$suite/$distname/\">$distname</a>"
        done
        print ")<br />"
-       print " <tt>deb http://${dhn}/$jobname $suitename$vdists</tt>"
+       print " <tt>deb https://${dhn}/$jobname $suitename$vdists</tt>"
        print "</li>"
 done
 print "</ul>"
        print "</li>"
 done
 print "</ul>"
similarity index 63%
rename from posix/pbuilder-hooks/C99fu
rename to posix/pbuilder-hooks/C80shell-joe
index 291b491..6ef6d5a 100644 (file)
@@ -1,13 +1,14 @@
 #!/bin/sh
 #!/bin/sh
-# $MirOS: contrib/hosted/tg/deb/hookdir/C99fu,v 1.2 2011/12/15 21:06:42 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/hookdir/C80shell-joe,v 1.2 2012/01/03 16:57:18 tg Exp $
 #-
 # Not complicated enough for copyright.
 
 #-
 # Not complicated enough for copyright.
 
+unset LANGUAGE
+LC_ALL=C; export LC_ALL
+
 echo
 echo Build failed. Trying to invoke a shell.
 echo
 echo
 echo Build failed. Trying to invoke a shell.
 echo
-unset LANGUAGE
-LC_ALL=C; export LC_ALL
-apt-get -y --force-yes install less mksh
+apt-get -y --force-yes install less mksh ed joe
 ENV=/etc/skel/.mkshrc /bin/mksh -l 0<>/dev/tty >&0 2>&0 || \
     /bin/sh 0<>/dev/tty >&0 2>&0
 ENV=/etc/skel/.mkshrc /bin/mksh -l 0<>/dev/tty >&0 2>&0 || \
     /bin/sh 0<>/dev/tty >&0 2>&0
diff --git a/posix/pbuilder-hooks/C80shell-jupp b/posix/pbuilder-hooks/C80shell-jupp
new file mode 100644 (file)
index 0000000..62cd06b
--- /dev/null
@@ -0,0 +1,14 @@
+#!/bin/sh
+# $MirOS: contrib/hosted/tg/deb/hookdir/C80shell-jupp,v 1.2 2012/01/03 16:57:19 tg Exp $
+#-
+# Not complicated enough for copyright.
+
+unset LANGUAGE
+LC_ALL=C; export LC_ALL
+
+echo
+echo Build failed. Trying to invoke a shell.
+echo
+apt-get -y --force-yes install less mksh ed jupp
+ENV=/etc/skel/.mkshrc /bin/mksh -l 0<>/dev/tty >&0 2>&0 || \
+    /bin/sh 0<>/dev/tty >&0 2>&0
index e58e61d..64551b7 100644 (file)
@@ -1,9 +1,10 @@
 #!/bin/sh
 #!/bin/sh
-# $MirOS: contrib/hosted/tg/deb/hookdir/D02debhelper,v 1.2 2011/12/15 21:06:43 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/hookdir/D02debhelper,v 1.3 2012/01/03 16:57:19 tg Exp $
 #-
 # Not complicated enough for copyright.
 
 unset LANGUAGE
 LC_ALL=C; export LC_ALL
 #-
 # Not complicated enough for copyright.
 
 unset LANGUAGE
 LC_ALL=C; export LC_ALL
+
 dpkg -i /tmp/debhelper*deb
 apt-get -y --force-yes -o Dpkg::Options::=--force-confnew,confmiss -f install
 dpkg -i /tmp/debhelper*deb
 apt-get -y --force-yes -o Dpkg::Options::=--force-confnew,confmiss -f install
index d97829b..a715434 100644 (file)
@@ -1,8 +1,9 @@
 #!/bin/sh
 #!/bin/sh
-# $MirOS: contrib/hosted/tg/deb/hookdir/D05agu,v 1.2 2011/12/15 21:06:43 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/hookdir/D05agu,v 1.3 2012/01/03 16:57:19 tg Exp $
 #-
 # Not complicated enough for copyright.
 
 unset LANGUAGE
 LC_ALL=C; export LC_ALL
 #-
 # Not complicated enough for copyright.
 
 unset LANGUAGE
 LC_ALL=C; export LC_ALL
+
 apt-get update
 apt-get update
index 731e161..6175355 100644 (file)
@@ -1,14 +1,15 @@
 #!/bin/sh
 #!/bin/sh
-# $MirOS: contrib/hosted/tg/deb/hookdir/D06agdu,v 1.1 2011/12/15 21:06:43 tg Exp $
+# $MirOS: contrib/hosted/tg/deb/hookdir/D06agdu,v 1.2 2012/01/03 16:57:19 tg Exp $
 #-
 # Not complicated enough for copyright.
 
 #-
 # Not complicated enough for copyright.
 
+unset LANGUAGE
+LC_ALL=C; export LC_ALL
+
 #cat >/etc/resolv.conf <<'EOF'
 #lookup file bind
 #nameserver 8.8.8.8
 #EOF
 
 #cat >/etc/resolv.conf <<'EOF'
 #lookup file bind
 #nameserver 8.8.8.8
 #EOF
 
-unset LANGUAGE
-LC_ALL=C; export LC_ALL
 apt-get update
 apt-get -y --purge dist-upgrade
 apt-get update
 apt-get -y --purge dist-upgrade
diff --git a/posix/pbuilder-hooks/D10wtfrepo b/posix/pbuilder-hooks/D10wtfrepo
new file mode 100644 (file)
index 0000000..bf37299
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/sh
+# $MirOS: contrib/hosted/tg/deb/hookdir/D10wtfrepo,v 1.1 2012/01/03 16:57:19 tg Exp $
+#-
+# Not complicated enough for copyright.
+
+unset LANGUAGE
+LC_ALL=C; export LC_ALL
+
+dpkg -i /tmp/wtf-debian-keyring_*.deb /tmp/ca-bundle_*.deb
+apt-get -y --force-yes -o Dpkg::Options::=--force-confnew,confmiss -f install
+apt-get -y --purge install apt-transport-https
+
+cat >>/etc/apt/sources.list <<'EOF'
+deb https://www.freewrt.org/~tg/debs sid wtf
+EOF
+
+apt-get update
+apt-get -y --purge dist-upgrade